// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       environment.h
 *  \brief      動作環境に関わる定義・実装
 *  \date       Since: January 23, 2023. 16:00:06 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_ENVIRONMENT_H_1674457206
#define INCGUARD_ENVIRONMENT_H_1674457206

#include <filesystem>
#include <string>

#if __APPLE__
#include <TargetConditionals.h>
#endif

// macOS
#if __APPLE__ && TARGET_OS_OSX

    #define MTK_TARGET_MACOS

// Windows
#elif defined(_WIN32) | defined(_WIN64) | defined(_WINRT_DLL)

    #define MTK_TARGET_WINDOWS

#endif


namespace MTK::Environment
{
std::string GetValue(const char *name) noexcept;
std::filesystem::path GetHomeDirectory() noexcept;
}   // namespace MTK::Environment

#endif	// INCGUARD_ENVIRONMENT_H_1674457206

// vim: et ts=4 sw=4 sts=4
