// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       utility.h
 *  \brief      ユーティリティ関数
 *  \date       Since: October 2, 2019. 10:25:27 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_UTILITY_H_1569979527
#define INCGUARD_UTILITY_H_1569979527

#include <string>

#include <mtk/environment.h>

#if defined(MTK_TARGET_WINDOWS)
#include <Windows.h>
#endif

namespace MTK::Utility
{
int ReplaceString(std::string &str, const std::string &target, const std::string &replacement) noexcept;

#if defined(MTK_TARGET_WINDOWS)
std::wstring ToWindowsWideChar(const std::string &utf8String) noexcept;
#endif

}   // namespace MTK::Utility

#endif  // INCGUARD_UTILITY_H_1569979527

// vim: et ts=4 sw=4 sts=4
